Loading...
Searching...
No Matches
BALL::PDB::AdditionalAtomInfo Struct Reference

`#include <BALL/FORMAT/PDBdefs.h>`

## Public Member Functions

| AdditionalAtomInfo ()

## Public Attributes

const Chain * | current_chain
const ::BALL::Residue * | current_residue
Integer | residue_id
AChar | residue_insertion_code
AChar | chain_id
LString3 | residue_name
LString4 | pdb_id
Position | number

## Detailed Description

A structure tracking the current values of all auxiliary information required to write ATOM or HETATM records. This is used for keeping track of chain and residue names while writing multiple atoms.

Definition at line 1333 of file PDBdefs.h.

## Constructor & Destructor Documentation

## AdditionalAtomInfo()

BALL::PDB::AdditionalAtomInfo::AdditionalAtomInfo | ( |  | ) |

inline

Definition at line 1344 of file PDBdefs.h.

## Member Data Documentation

## chain_id

AChar BALL::PDB::AdditionalAtomInfo::chain_id

Definition at line 1339 of file PDBdefs.h.

## current_chain

const Chain* BALL::PDB::AdditionalAtomInfo::current_chain

Definition at line 1335 of file PDBdefs.h.

## current_residue

const ::BALL::Residue* BALL::PDB::AdditionalAtomInfo::current_residue

Definition at line 1336 of file PDBdefs.h.

## number

Position BALL::PDB::AdditionalAtomInfo::number

Definition at line 1342 of file PDBdefs.h.

## pdb_id

LString4 BALL::PDB::AdditionalAtomInfo::pdb_id

Definition at line 1341 of file PDBdefs.h.

## residue_id

Integer BALL::PDB::AdditionalAtomInfo::residue_id

Definition at line 1337 of file PDBdefs.h.

## residue_insertion_code

AChar BALL::PDB::AdditionalAtomInfo::residue_insertion_code

Definition at line 1338 of file PDBdefs.h.

## residue_name

LString3 BALL::PDB::AdditionalAtomInfo::residue_name

Definition at line 1340 of file PDBdefs.h.